Package org.apache.sysds.runtime.privacy.propagation

## Class ListAppendPropagator

- java.lang.Object
- - org.apache.sysds.runtime.privacy.propagation.ListAppendPropagator

All Implemented Interfaces:
  `Propagator`

    public class ListAppendPropagator
    extends Object
    implements Propagator

### Constructor Summary

Constructors
`ListAppendPropagator​(ListObject input1, PrivacyConstraint privacyConstraint1, ListObject input2, PrivacyConstraint privacyConstraint2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PrivacyConstraint` `propagate()` Activates the propagation and returns the output privacy constraint.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListAppendPropagator

    public ListAppendPropagator​(ListObject input1,
                                PrivacyConstraint privacyConstraint1,
                                ListObject input2,
                                PrivacyConstraint privacyConstraint2)

### Method Detail

#### propagate

    public PrivacyConstraint propagate()

Description copied from interface: `Propagator`
Activates the propagation and returns the output privacy constraint.

Specified by:
  `propagate` in interface `Propagator`
Returns:
  output privacy constraint.